Bug 2725 - fortune -m не перекодирует utf8
: fortune -m не перекодирует utf8
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fortune-mod)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-07-03 09:00 by
Modified: 2005-06-20 12:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-07-03 09:00:12
Если использовать ключ -m то результат не перекодируется из utf8 в текущую
локаль. Также не ищутся русские буквы. 

$ rpm -qa |grep fortune
fortunes-ALT-20030601-alt1
wmfortune-0.241-alt2
fortune-mod-1.0-ipl33mdk
$ fortune -m libutem
(ALT)
%
Единственный
helper,
которому
СЏ
доверяю,
это /usr/lib/utempter/utempter из
пакета libutempter,
РёР±Рѕ СЏ
написал
его с
нуля,
пользуясь
лишь
идеей
Eric
Troan\'РѕРІСЃРєРѕРіРѕ
utempter\'Р°.
                -- ldv in devel@
%
$ fortune -m настроено
$ fortune -m `echo настроено |iconv -t utf8 `
(ALT)
%
опять
где-то
что -то
недонастроено
;-(
                -- rider in devel@
%

---

---
------- Comment #1 From 2003-12-04 03:19:43 -------
Fixed in 1.0-ipl34mdk
------- Comment #2 From 2005-06-20 12:44:30 -------
исправлено